<div ng-controller="absenceTypeController as self" ng-init="self.init()">
    <ul class="breadcrumb">
        <li><a href="<?= $this->url('root') ?>"><?= $this->icon('home') ?></a></li>
        <li><?= $this->translate('administration_module_title') ?></li>
        <li class="active"><?= $this->translate('time_absence_type_module_title') ?></li>
    </ul>

    <h1 class="page-title">
        <?= $this->icon('time') ?> <?= $this->translate('time_absence_type_module_title') ?>
    </h1>

    <div class="panel panel-body">
        <div class="row">
            <div class="col-sm-2">
                <ul class="nav nav-pills nav-stacked bg-white">
                    <li class="active">
                        <a href="/timesheet/absence-type">
                            <?= $this->icon('module', 'fa-fw') ?> <?= $this->translate('time_absence_type_module_title') ?>
                        </a>
                    </li>
                    <?php if ($this->acl()->isAllowed('time:e:settings-time:r')) : ?>
                    <li>
                        <a href="/timesheet/settings-time">
                            <?= $this->icon('translation', 'fa-fw') ?> <?= $this->translate('time_settings_time_module_title') ?>
                        </a>
                    </li>
                    <?php endif ?>
                </ul>
            </div>

            <div class="col-sm-10">
                <div class="panel">
                    <div class="panel-heading">
                        <?= $this->translate('time_absence_type_nav_list') ?>

                        <div class="panel-heading-right">
                            <?php if ($this->acl()->isAllowed('time:e:absence-type:c')) : ?>
                                <div class="panel-heading-actions" tooltip="<?= $this->translate('time_absence_type_nav_form') ?>">
                                    <?= $this->icon('create', 'fa-fw pointer', [
                                        'title' => $this->translate('time_absence_type_nav_form'),
                                        'ng-click' => 'self.create()',
                                    ]) ?>
                                </div>
                            <?php endif ?>
                        </div>
                    </div>
                    <div class="panel-body">
                        <table class="table table-bordered table-condensed table-hover">
                            <thead>
                                <tr>
                                    <th><?= $this->translate('time_absence_type_field_name') ?></th>
                                    <th><?= $this->translate('time_absence_type_field_initialLetters') ?></th>
                                    <th class="actions-column"></th>
                                </tr>
                            </thead>
                            <tbody>
                                <tr ng-repeat="absenceType in self.absenceTypes">
                                    <td>{{ absenceType.name }}</td>
                                    <td>{{ absenceType.initialLetters }}</td>
                                    <td>
                                        <div class="btn-group btn-group-actions">
                                            <?php if ($this->acl()->isAllowed('time:e:absence-type:u')) : ?>
                                                <a class="btn btn-xs btn-default" tooltip="<?= $this->translate('tooltip_edit') ?>" ng-click="self.edit(absenceType)">
                                                    <?= $this->icon('edit') ?>
                                                </a>
                                            <?php endif ?>

                                            <?php if ($this->acl()->isAllowed('time:e:absence-type:d')) : ?>
                                                <a class="btn btn-xs btn-default" tooltip="<?= $this->translate('tooltip_delete') ?>" ng-click="self.delete(absenceType)">
                                                    <?= $this->icon('delete') ?>
                                                </a>
                                            <?php endif ?>
                                        </div>
                                    </td>
                                </tr>
                            </tbody>
                        </table>
                    </div>
                </div>
            </div>
        </div>

        <div id="formModal" class="modal fade">
            <div class="modal-dialog">
                <div class="modal-content">
                    <form name="form" ng-submit="self.save()">
                        <div class="modal-header">
                            {{ self.formTitle }}
                        </div>

                        <div class="modal-body">
                            <input type="hidden" name="id" ng-model="self.absenceType.id" />

                            <div class="row">
                                <div class="form-group required col-xs-12">
                                    <label for="name">
                                        <?= $this->translate('time_absence_type_field_name') ?>
                                    </label>
                                    <input type="text" id="name" class="form-control" autocomplete="off" ng-model="self.absenceType.name" required />
                                    <field-errors field="name" errors="self.errors.fields"></field-errors>
                                </div>
                            </div>

                            <div class="row">
                                <div class="form-group required col-xs-12">
                                    <label for="initialLetters">
                                        <?= $this->translate('time_absence_type_field_initialLetters') ?>
                                    </label>
                                    <input type="text" id="initialLetters" class="form-control" autocomplete="off" ng-model="self.absenceType.initialLetters" required />
                                    <field-errors field="initialLetters" errors="self.errors.fields"></field-errors>
                                </div>
                            </div>
                        </div>

                        <div class="modal-footer">
                            <button class="btn btn-default" type="button" data-dismiss="modal">
                                <?= $this->translate('close') ?>
                            </button>
                            <button class="btn btn-submit" ng-disabled="self.loading.save">
                                <?= $this->icon('loading', '', ['ng-if' => 'self.loading.save']) ?>
                                <?= $this->translate('save') ?>
                            </button>
                        </div>
                    </form>
                </div>
            </div>
        </div>
    </div>
</div>

<?php
$this->angular('js/src/time/controller/absence-type/list.js');
$this->angular('js/src/time/service/absenceType.js');
